QGIS Application - Bug report #20261
python script crashes QGIS
2018-10-29 03:06 PM - Theresa Lichtenberger

Status: Closed

Priority: High

Assignee:

Category: PyQGIS Console

Affected QGIS version:2.18.17 Regression?: No

Operating System: Windows10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 28082
Description

| have written a python script which has two input vector layers (one point-layer and one line-layer). The outpout is another line-layer. But
when | try too set the geometry for the new edge, the python script stopps and | get the error "minidump written to C".

Here is my python script code:

https://gis.stackexchange.com/questions/300562/qgis-python-script-crashed-with-minidump-written-to-c

With the help of printf-Debugging, | have figured out that the crash is caused by this line:
-> newEdge.setGeometry(QgsGeometry.fromPolyline([geomFrom.asPoint(),geomTo.asPoint()]))

| have already deleted the .qgis2-folder and started qgis 2.18 anew. But without success.

Any suggestions?

History

#1 - 2018-10-29 09:14 PM - Giovanni Manghi
- Subject changed from QGIS python script crashed with minidump written to C to python script crashes QGIS

#2 - 2018-10-30 11:37 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This is fixed in QGIS 3.0

In 2.x it's necessary to make an explicit copy of all geometries you capture from features, e.g.

geomFrom = QgsGeometry(feat2.geometry())

Files

merge_edges.py 5KB 2018-10-29 Theresa Lichtenberger
